<?php

	include("globals.inc");
	include("db.inc");

	session_start();
	if ($_SESSION['user'] == "") {
		header("Location: login.php");
		die;
	}

	# Load up vars
	$id = $_POST['id'];
	$name = $_POST['name'];
	$description = $_POST['description'];
	$flags = $_POST['flags'];

	# Validate we have mandatory fields completed
	if ($name == "") {
		echo "<html><body><p>" . $i18n['Name_cannot_be_empty'] . "</p></body></html>";
		die;
	}

	if ($description == "") {
		echo "<html><body><p>" . $i18n['Description_cannot_be_empty'] . "</p></body></html>";
		die;
	}

	# Sanitise fields for SQL injection
	$id = str_replace("'", "_", $id);
	$name = str_replace("'", "_", $name);
	$description = str_replace("'", "_", $description);
	$flags = str_replace("'", "_", $flags);

	# Update the database entry for the animal
	updateAnimal($id, $name, $description, $flags);

	# Go back to the main list to show the new animal
	header("Location: listanimals.php");
	
?>
