
CREATE TABLE SHELTER (
	ID VARCHAR(10) NOT NULL PRIMARY KEY,
	PASSWORD VARCHAR(100) NOT NULL,
	NAME VARCHAR(255) NOT NULL,
	ADDRESS TEXT NOT NULL,
	PHONE VARCHAR(100) NOT NULL,
	EMAIL VARCHAR(100) NULL,
	WEBSITE VARCHAR(100) NULL,
	RELATEDAREAS TEXT NOT NULL
);
CREATE FULLTEXT INDEX SHELTER_RELATEDAREAS ON SHELTER (RELATEDAREAS);

CREATE TABLE ANIMAL (
	ID INTEGER UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY,
	SHELTERID VARCHAR(10) NOT NULL,
	NAME VARCHAR(100) NOT NULL,
	SEX INTEGER NOT NULL,
	AGE INTEGER NOT NULL,
	ANIMALSIZE INTEGER NOT NULL,
	SPECIES VARCHAR(100) NOT NULL,
	BREED VARCHAR(100) NOT NULL,
	IMAGEPATH VARCHAR(255) NULL,
	DESCRIPTION TEXT NULL,
	FLAGS VARCHAR(255) NULL
);

