<?php include("db.inc"); ?>
<?php include("globals.inc"); ?>
<?php include("i18n.inc"); ?>
<?php 
	session_start(); 
	if ($_SESSION['user'] == "") {
		header("Location: login.php");
		die;
	}
?>

<html>
<head>
<title><?php echo $i18n['Add_New_Animal']; ?></title>
</head>

<body bgcolor=white>

<?php echo $links ?>

<a href="index.php"><img border=0 src="images/logo.gif" /></a> 

<h2><?php echo $i18n['Add_New_Animal']; ?></h2>

<form enctype="multipart/form-data" action="addanimal_post.php" method="POST">

<table>
	<tr>
		<td><?php echo $i18n['Name'] ?></td>
		<td><input name="name" type="text" /></td>
	</tr>

	<tr>
		<td><?php echo $i18n['Picture'] ?></td>
		<td><input name="picture" type="file" />
		</td>
	</tr>

	<tr>
		<td><?php echo $i18n['Species'] ?></td>
		<td><select name="species">
		<?php echo getSpeciesAsOptions(); ?>
		</select> 
		<?php echo $i18n['or_other']?> <input type="text" name="otherspecies" />
		</td>
	</tr>

	<tr>
		<td><?php echo $i18n['Breed'] ?></td>
		<td><select name="breed">
		<?php echo getBreedAsOptions(); ?>
		</select> 
		<?php echo $i18n['or_other']?> <input type="text" name="otherbreed" />
		</td>
	</tr>

	<tr>
		<td><?php echo $i18n['Age'] ?></td>
		<td><select name="age">
		<option value="0"><?php echo $i18n['Baby'] ?></option>
		<option value="1"><?php echo $i18n['Young'] ?></option>
		<option value="2"><?php echo $i18n['Adult'] ?></option>
		<option value="3"><?php echo $i18n['Senior'] ?></option>
		</select>
		</td>
	</tr>

	<tr>
		<td><?php echo $i18n['Gender'] ?></td>
		<td><select name="gender">
		<option value="0"><?php echo $i18n['Male'] ?></option>
		<option value="1"><?php echo $i18n['Female'] ?></option>
		</select>
		</td>
	</tr>

 	<tr>
		<td><?php echo $i18n['Size'] ?></td>
		<td><select name="size">
		<option value="0"><?php echo $i18n['Small'] ?></option>
		<option value="1"><?php echo $i18n['Medium'] ?></option>
		<option value="2"><?php echo $i18n['Large'] ?></option>
		<option value="3"><?php echo $i18n['Very_Large'] ?></option>
		</select>
	</td>

	<tr>
		<td><?php echo $i18n['Flags'] ?></td>
		<td><input type="text" name="flags" /></td>
	</tr>

	<tr>
		<td><?php echo $i18n['Description'] ?></td>
		<td><textarea rows=10 cols=50 name="description"></textarea></td>
	</tr>
		
</table>

<input type="submit" value="<?php echo $i18n['Save']; ?>" />

</form>




	<p>&nbsp;</p>
	<p><font size="1"><?php echo $copyright; ?></font></p>

</body>
</html>
