<?php include("db.inc"); ?>
<?php include("globals.inc"); ?>
<?php include("i18n.inc"); ?>
<?php 
	session_start(); 
	if ($_SESSION['user'] == "") {
		header("Location: login.php");
		die;
	}

	# Santise ID
	$id = str_replace("'", "_", $_GET['id']);

	# Get dict of animal for id
	$animal = getAnimal($id);

	if ($animal['name'] == "") {
		echo "<html><body><p>Animal $id not found.</p></body></html>";
		die;
	}
?>

<html>
<head>
<title><?php echo $i18n['Edit_Animal']; ?></title>
</head>

<body bgcolor=white>

<?php echo $links ?>

<a href="index.php"><img border=0 src="images/logo.gif" /></a> 

<h2><?php echo $i18n['Edit_Animal']; ?></h2>

<form action="editanimal_post.php" method="POST">

<table>

	<tr>
		<td></td>
		<td><img src="<?php echo getAnimalImage($_SESSION['user'], $animal['imagepath']) ?>" /></td>
	</tr>

	<tr>
		<td><?php echo $i18n['Name'] ?></td>
		<td><input type="hidden" name="id" value="<?php echo $id ?>" /><input name="name" type="text" value="<?php echo $animal['name'] ?>" /></td>
	</tr>

	<tr>
		<td><?php echo $i18n['Flags'] ?></td>
		<td><input type="text" name="flags" value="<?php echo $animal['flags'] ?>" /></td>
	</tr>

	<tr>
		<td><?php echo $i18n['Description'] ?></td>
		<td><textarea rows=10 cols=50 name="description"><?php echo $animal['description'] ?></textarea></td>
	</tr>
		
</table>

<input type="submit" value="<?php echo $i18n['Save']; ?>" />

</form>

	<p>&nbsp;</p>
	<p><font size="1"><?php echo $copyright; ?></font></p>

</body>
</html>
