<?php include("db.inc"); ?>
<?php include("globals.inc"); ?>
<?php include("i18n.inc"); ?>

<html>
<head>
<title>Join</title>
</head>

<body bgcolor=white>

<?php echo $links ?>

<center>
<a href="index.php"><img border=0 src="images/logo.gif" /></a>
</center>

<h2>I'm a shelter, how do I join?</h2>

<p>To join, simply send an email to: <a href="mailto:<?php echo $joinaddress ?>"><?php echo $joinaddress ?></a></p>

<p>Your email should contain:</p>

<ul>
<li>Your shelter's name</li>
<li>Your shelter's postal address</li>
<li>Your shelter's email address (mandatory for the system to let you know about any problems with data files)</li>
<li>Your shelter's website address (if applicable)</li>
<li>A list of nearby towns/counties and postcode prefixes representing areas your shelter covers</li>
</ul>

<p>You will receive confirmation of your username/password within 24 hours.</p>

<h2>I'm already a member, how do I get my animals uploaded?</h2>

<p>There are two methods, if you are running <a href="http://sheltermanager.sf.net">Animal Shelter Manager</a>
to operate your shelter, you can simply use the "Internet-&gt;Publish to <?php echo $product ?>" link to 
upload all your available animals (it can even do it automatically every night for you).</p>

<p>If not, you'll need to <a href="login.php">login</a> and do it through the site. The site has a friendly,
easy to use web interface to allow adding, editing and deleting of your animals.</p>

<h2>I'm in another country and would like this service, what do I do?</h2>

<p>Contact the <a href="mailto:<?php echo $joinaddress ?>">join</a> address and we'll discuss
translating <?php echo $product ?> for your locale and getting you up and running.</p>

<hr />
<p>&nbsp;</p>
<p><font size="1"><?php echo $copyright; ?></font></p>

</body>
</html>
